Page MenuHomePhabricator

[Epic] Prepare for Elasticsearch 6 upgrade
Closed, ResolvedPublic

Description

Search Platform is preparing for an upgrade to Elasticsearch 6 and needs to determine any needs regarding deprecations and other code changes required to any custom plugins in order to complete the upgrade. Related tasks will be attached to this task as they are created.

Related Objects

StatusAssignedTask
OpenNone
ResolvedNone
ResolvedNone
ResolvedEBernhardson
ResolvedTJones
ResolvedTJones
Resolveddcausse
Resolveddcausse
Resolveddcausse
Resolveddcausse
Resolveddcausse
Resolveddcausse
Resolveddcausse
Resolveddcausse
Resolveddcausse
Resolveddcausse
Resolveddcausse
Resolveddcausse
ResolvedEBernhardson
Resolveddcausse
DuplicateEBernhardson
ResolvedEBernhardson
Resolveddcausse
Openmmodell
ResolvedGehel

Event Timeline

EBjune created this task.May 8 2018, 7:12 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 8 2018, 7:12 PM
Vvjjkkii renamed this task from [Epic] Prepare for Elasticsearch 6 upgrade to wcdaaaaaaa.Jul 1 2018, 1:11 AM
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
CommunityTechBot renamed this task from wcdaaaaaaa to [Epic] Prepare for Elasticsearch 6 upgrade.Jul 1 2018, 3:16 PM
CommunityTechBot raised the priority of this task from High to Needs Triage.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added a subscriber: Aklapper.
TJones moved this task from needs triage to [epic] on the Discovery-Search board.

Change 495915 had a related patch set uploaded (by Gehel; owner: Gehel):
[operations/puppet@production] elasticsearch: expose elastic65 APT component to hiera

https://gerrit.wikimedia.org/r/495915

Change 495919 had a related patch set uploaded (by Gehel; owner: Gehel):
[operations/puppet@production] elasticsearch: allow a version of configuration independant of the package

https://gerrit.wikimedia.org/r/495919

Change 495915 merged by Gehel:
[operations/puppet@production] elasticsearch: expose elastic65 APT component to hiera

https://gerrit.wikimedia.org/r/495915

Change 495919 merged by Gehel:
[operations/puppet@production] elasticsearch: allow a version of configuration independant of the package

https://gerrit.wikimedia.org/r/495919

EBernhardson closed this task as Resolved.Jun 3 2019, 5:04 PM